cal_info
easter_date
Calendar Functions
PHP Manual

# cal_to_jd

Converts from a supported calendar to Julian Day Count

### Description

int cal_to_jd ( int `$calendar` , int `$month` , int `$day` , int `$year` )

cal_to_jd calculates the Julian day count for a date in the specified `calendar`. Supported `calendar`s are `CAL_GREGORIAN`, `CAL_JULIAN`, `CAL_JEWISH` and `CAL_FRENCH`.

### Parameters

`calendar`

  Calendar to convert from, one of `CAL_GREGORIAN`, `CAL_JULIAN`, `CAL_JEWISH` or `CAL_FRENCH`.

`month`

  The month as a number, the valid range depends on the `calendar`

`day`

  The day as a number, the valid range depends on the `calendar`

`year`

  The year as a number, the valid range depends on the `calendar`

### Return Values

A Julian Day number.

### See Also

- cal_from_jd
- frenchtojd
- gregoriantojd
- jewishtojd
- juliantojd
- unixtojd